curl --request POST \
--url https://app.alphapo.net/api/v2/crypto/withdrawal_instant_exchange \
--header 'Content-Type: application/json' \
--header 'X-Processing-Key: <api-key>' \
--header 'X-Processing-Signature: <x-processing-signature>' \
--data '
{
"sender_currency": "EUR",
"received_currency": "BTC",
"sender_amount": "100",
"address": "tb1qfdxh6gkfr0qgyatnlkd8khcnxph9tw06n6qwjc",
"foreign_id": "withdrawal_123",
"end_user_reference": "user_12345"
}
'import requests
url = "https://app.alphapo.net/api/v2/crypto/withdrawal_instant_exchange"
payload = {
"sender_currency": "EUR",
"received_currency": "BTC",
"sender_amount": "100",
"address": "tb1qfdxh6gkfr0qgyatnlkd8khcnxph9tw06n6qwjc",
"foreign_id": "withdrawal_123",
"end_user_reference": "user_12345"
}
headers = {
"X-Processing-Signature": "<x-processing-signature>",
"X-Processing-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Processing-Signature': '<x-processing-signature>',
'X-Processing-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
sender_currency: 'EUR',
received_currency: 'BTC',
sender_amount: '100',
address: 'tb1qfdxh6gkfr0qgyatnlkd8khcnxph9tw06n6qwjc',
foreign_id: 'withdrawal_123',
end_user_reference: 'user_12345'
})
};
fetch('https://app.alphapo.net/api/v2/crypto/withdrawal_instant_exchange', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": 134702815,
"foreign_id": "withdrawal_123",
"end_user_reference": "user_12345",
"type": "withdrawal_instant_exchange",
"status": "processing",
"sender_currency": "EUR",
"sender_amount": "100.00000000",
"received_currency": "BTC",
"received_amount": "0.00153827"
}
}Withdraw crypto instantly with conversion
Make an instant withdrawal from a cryptocurrency or fiat balance with conversion to cryptocurrency.
Headers
Hex-encoded HMAC-SHA512 signature of the request body, generated using your secret key.
Body
Currency to withdraw. For a list of all available currencies, see API currency codes.
Target currency to convert funds into before sending.
Amount to withdraw in sender_currency.
Cryptocurrency address where you want to send funds.
Unique ID of the withdrawal request.
Persistent internal ID of the merchant's customer who initiates the withdrawal. Use the same value for the same customer across all requests.
Do not include personal data, such as the customer's name or email address.
Response
Created
Hide child attributes
Hide child attributes
Transaction ID.
Unique ID of the withdrawal request.
Persistent internal ID of the merchant's customer who initiates the withdrawal. Use the same value for the same customer across all requests.
Do not include personal data, such as the customer's name or email address.
Transaction type (always withdrawal_instant_exchange).
Transaction status.
Source currency ISO code.
Withdrawal amount in sender_currency.
Destination currency ISO code.
Amount sent in received_currency.
Was this page helpful?